---
title: WebRTC coding guide
slug: Web/API/WebRTC_API/Coding_guide
---
<p>Once you have an overall understanding of what WebRTC does and how it works, your mind likely turns to implementation. How do you create a Web application that uses two-way video or data streams without having to do all the hard work of compressing frames, building streams, and so forth by yourself? This coding guide will explain in depth how WebRTC works, and will dive into actual code that uses WebRTC to do useful things.</p>

<p>{{LandingPageListSubpages}}</p>

<p>If you need to learn more about the fundamentals of how WebRTC and its protocols work, check out our <a href="/en-US/docs/Web/API/WebRTC_API/High-level_guide">High-level guides for WebRTC</a>.</p>
